ArcSDE in Oracle 12c ... anyone ... anyone ...

15073
33
09-23-2013 05:11 AM
RicaSaporta
New Contributor III
Hello all,
we are currently using ArcSDE in Oracle 11g R2 environment.
We have been able to convert most of our connections to 'direct connect' with a goal to removing all 'application connections' where possible.
Our DBAs are now looking at moving to Oracle 12c on all of our databases.
Does anyone know what impact this will have to the ArcSDE? and/or any impact to the connections associated with it?
Is SDE supported on Oracle 12c?

I can not find any discussion on this at this time ... so can we please start one?

thank you
rica
33 Replies
MichaelVolz
Esteemed Contributor
Rica:

Do you know how long Oracle 12c has been out in the market place as a production product (non-beta)?
NidhinKarthikeyan
Regular Contributor II
Rica,


ArcSDE 10.2 is not compatible with Oracle 12g.

Oracle database requirements for ArcGIS 10.2



Regards,
0 Kudos
MuhammadImran2
New Contributor
Usually ArcSDE is not forward compatible if newer behavior has been introduced in new version of geodatabase. So hopefully previous versions of ArcSDE are not compatible with Oracle 12C.
0 Kudos
RicaSaporta
New Contributor III
I have looked at the forums and help file and noted that 12c, in fact any Oracle 12 version, is not mentioned at all. This is why I posted this question.
Oracle 12c was released (full not beta) on July 1, 2013. One of the reasons we are looking at it is its ability to handle "multitenants" databases.

has anyone tried this or has an inkling of what support may be available?
thank you
rica
0 Kudos
MichaelVolz
Esteemed Contributor
Does anyone from ESRI have a tentative idea of when Oracle 12c will be supported for ArcSDE?
0 Kudos
VinceAngelo
Esri Esteemed Contributor
While it's likely that 12c support will be added as soon as possible, Oracle only
released a Windows version of 12c in the past couple of weeks, and hasn't yet
released on all the platforms that Esri usually supports.   I expect* it will be a
while yet for development and testing (and certification, which is likely the
hardest step) to be completed.

- V

* Disclaimer: I don't work in Development, and I have no direct knowledge of
the development or release schedule.
0 Kudos
ForrestJones
Esri Contributor
Hi all,

Oracle 12c support is planned for ArcGIS 10.2.1.
0 Kudos
MeenaShankar
New Contributor

Please let me know whether ArcGIS 10.2.1 supports Oralce 12c R2 

0 Kudos
Asrujit_SenGupta
MVP Regular Contributor

It doesn't seem so: Oracle database requirements for ArcGIS 10.2.x

Supported database versions

Standard/Standard One/Enterprise Editions:

Oracle 10g R2 (64-bit) 10.2.0.3

Oracle 11g R1 (64-bit) 11.1.0.7 (see note below)

Oracle 11g R2 (64-bit) 11.2.0.1 (see note below)

Oracle 11g R2 (64-bit) 11.2.0.3 (see note below)

Oracle 12c R1 (64-bit) 12.1.0.1 (see note below)

Also check this thread: ArcMap 10.2.2 Oracle 12c : Crash 

Support for Oracle 12c R2 seems to have started from ArcGIS 10.5.x : Oracle database requirements for ArcGIS 10.5.x—System Requirements | ArcGIS Desktop 

0 Kudos